Статьи Галерея Форум Чат Файлы HowTo Ссылки Поиск
Текущее время: 19 сен 2019, 17:12




Начать новую тему Ответить на тему  [ Сообщений: 9 ] 
Автор Сообщение
 Заголовок сообщения: GLADE2 GNOME2
СообщениеДобавлено: 30 июл 2003, 19:21 
Сформулируем по другому

GLADE2
Project -> New -> New GNOME Project
Palette -> Gnome -> Gnome Application Window
Save
Build

./autogen.sh
./make

...

In file included from /usr/include/libgnome-2.0/libgnome/libgnome.h:29.
from /usr/include/libgnomeui-2.0/gnome.h:5.
from main.c:10
/usr/include/libgnome-2.0/libgnome/gnome-program.h:35:18: popt.h: Nosuch file or directory

...

In file included from /usr/include/libgnomeui-2.0/libgnomeui/libgnomeui.h:54.
from /usr/include/libgnomeui-2.0/gnome.h:7.
from main.c:10
/usr/include/libgnomeui-2.0/libgnomeui/gnome-ui-init.h:50: parse error before "popContext"
make[2]: ***[main.o] Îøèáêà 1



Ïîèñê â /usr/include "popContext"
./lignomeui-2.0/libgnomeui/
50:gnome_ui_init.h
./libgnome-2.0/libgnome/
194:gnome-program.h

Q: Какие библиотеки надо для разработки
GLADE2 -> GNOME2


Вернуться к началу
  
Ответить с цитатой  
 Заголовок сообщения: Re: GLADE2 GNOME2
СообщениеДобавлено: 31 июл 2003, 12:36 
Неотъемлемая часть форума

У нас с: 10.03.2002
Сообщения: 285
Откуда: Minsk
sam писал(а):
main.c:10
/usr/include/libgnome-2.0/libgnome/gnome-program.h:35:18: popt.h: Nosuch file or directory


Ну, что тут непонятного. Хочет popt.h. Вероятно. это libpopt.


sam писал(а):
make[2]: ***[main.o] Îøèáêà 1
Ïîèñê â /usr/include "popContext"


А это что такое? Мы сами должны это с греческого переводить?


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: GLADE2 GNOME2
СообщениеДобавлено: 31 июл 2003, 22:38 
яТНПЛСКХПСЕЛ ОН ДПСЦНЛС

GLADE2
Project -> New -> New GNOME Project
Palette -> Gnome -> Gnome Application Window
Save
Build

./autogen.sh
./make

...

In file included from /usr/include/libgnome-2.0/libgnome/libgnome.h:29.
from /usr/include/libgnomeui-2.0/gnome.h:5.
from main.c:10
/usr/include/libgnome-2.0/libgnome/gnome-program.h:35:18: popt.h: Nosuch file or directory

...

In file included from /usr/include/libgnomeui-2.0/libgnomeui/libgnomeui.h:54.
from /usr/include/libgnomeui-2.0/gnome.h:7.
from main.c:10
/usr/include/libgnomeui-2.0/libgnomeui/gnome-ui-init.h:50: parse error before "popContext"
make[2]: ***[main.o] НЬХАЙЮ 1



ОНХЯЙ Б /usr/include "popContext"
./lignomeui-2.0/libgnomeui/
50:gnome_ui_init.h
./libgnome-2.0/libgnome/
194:gnome-program.h
>> ОНБРНПМЮЪ ДЕЙКЮПЮЖХЪ ???


Q: йЮЙХЕ АХАКХНРЕЙХ МЮДН ДКЪ ПЮГПЮАНРЙХ
GLADE2 -> GNOME2


Вернуться к началу
  
Ответить с цитатой  
 Заголовок сообщения: GLADE2 GNOME
СообщениеДобавлено: 31 июл 2003, 22:46 
GLADE2
Project -> New -> New GNOME Project
Palette -> Gnome -> Gnome Application Window
Save
Build

./autogen.sh
./make

...

In file included from /usr/include/libgnome-2.0/libgnome/libgnome.h:29.
from /usr/include/libgnomeui-2.0/gnome.h:5.
from main.c:10
/usr/include/libgnome-2.0/libgnome/gnome-program.h:35:18: popt.h: Nosuch file or directory

...

In file included from /usr/include/libgnomeui-2.0/libgnomeui/libgnomeui.h:54.
from /usr/include/libgnomeui-2.0/gnome.h:7.
from main.c:10
/usr/include/libgnomeui-2.0/libgnomeui/gnome-ui-init.h:50: parse error before "popContext"
make[2]: ***[main.o] error 1



search in /usr/include "popContext"
./lignomeui-2.0/libgnomeui/
50:gnome_ui_init.h
./libgnome-2.0/libgnome/
194:gnome-program.h

>> redeclarin ???


Вернуться к началу
  
Ответить с цитатой  
 Заголовок сообщения: GLADE2 GNOME2
СообщениеДобавлено: 31 июл 2003, 22:54 
Дистр ALT Master 2.2 + Updates

Пакеты (библиотеки) ставил по запросу: потребовал GLADE - поставил

Извиняюсь за кодировку -- ЖАРКО тут У НАС


Вернуться к началу
  
Ответить с цитатой  
 Заголовок сообщения: GLADE GNOME2 NEXT ERROR
СообщениеДобавлено: 01 авг 2003, 21:40 
/usr/include/libgnome-2.0/libgnome/gnome-program.h:35:18: popt.h: Nosuch file or directory

С этим разобрался - поставил libpopt-devel 1:1.7-alt6

добрался до линкера и ERROR
/usr/bin/ld: cannot find -lSM


Вернуться к началу
  
Ответить с цитатой  
 Заголовок сообщения:
СообщениеДобавлено: 02 авг 2003, 11:38 
Неотъемлемая часть форума

У нас с: 10.03.2002
Сообщения: 285
Откуда: Minsk
Ну, втдишь как у тебя хорошо получается. libpopt поставил. Теперь еще libSM какой-нибудь поставь. Это, возможно, часть другого пакета. В таких случаях полезно читать README. Там обычно пишут все requirements.


Вернуться к началу
 Не в сети Профиль  
Ответить с цитатой  
 Заголовок сообщения: Re: GLADE GNOME2 NEXT ERROR
СообщениеДобавлено: 04 авг 2003, 22:03 
sam писал(а):
/usr/bin/ld: cannot find -lSM


libSM is part of XFree86. You need xfree86-devel (or how this package is named in the ALt Linux).


Вернуться к началу
  
Ответить с цитатой  
 Заголовок сообщения: thank you
СообщениеДобавлено: 07 авг 2003, 11:53 
СПАСИБО


Вернуться к началу
  
Ответить с цитатой  
Показать сообщения за:  Поле сортировки  
Начать новую тему Ответить на тему  [ Сообщений: 9 ] 


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Перейти:  
[ All resources are available under GNU GPL ] [ Support ] [ Hosted by DataHata | MyCloud.by ] [ Powered by phpBB® Forum Software © phpBB Group ]

LVEE Winter LVEE Rambler's Top100